# vim: set ts=4 sw=4 et:
# kate: space-indent on; indent-width 4;
#
# spec file for package flacon (Version 0.5.7)
#
# Copyright (c) 2010-2011 Kyrill Detinov
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:           flacon
Version:        0.5.7
Release:        0.pm.1.4
License:        GPLv3+
Summary:        Split Compressed Audio CD Image to Tracks
URL:            http://code.google.com/p/flacon/
Group:          Productivity/Multimedia/Sound/Editors and Convertors
Source0:        %{name}-%{version}.tar.bz2
BuildRequires:  python-base
%if 0%{?suse_version} < 1120
BuildRequires:  libqt4-devel
BuildRequires:  python-qt4
%else
BuildRequires:  python-qt4-devel
%endif
BuildRequires:  update-desktop-files
Requires:       flac
Requires:       lame
Requires:       mac
Requires:       python-qt4
Requires:       shntool
Requires:       ttaenc
Requires:       vorbis-tools
Requires:       wavpack
Recommends:     mp3gain
Recommends:     vorbisgain
# not actually needed for build, but in order to make the build fail
# if the runtime dependencies are not available in the repository:
BuildRequires:  flac
BuildRequires:  lame
BuildRequires:  mac
BuildRequires:  python-qt4
BuildRequires:  shntool
BuildRequires:  ttaenc
BuildRequires:  vorbis-tools
BuildRequires:  wavpack
BuildRequires:  mp3gain
BuildRequires:  vorbisgain
BuildRequires:  hicolor-icon-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%{py_requires}

%description
Flacon extracts individual tracks from one big audio file containing
the entire album of music and saves them as separate audio files. To do
this, it uses information from the appropriate CUE file. Besides, Flacon
makes it possible to conveniently revise or specify tags both for all
tracks at once or for each tag separately.



Authors:
--------
    Alexander Sokolov <asokol@mail.ru>

%prep
%setup -q

%build
%__make clean
%__make %{?_smp_mflags}

%install
%makeinstall
%suse_update_desktop_file -r %{name} AudioVideo AudioVideoEditing

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root,-)
%{_bindir}/flacon
%{_datadir}/flacon
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*/*/apps/flacon.*

%changelog
* Sun May  8 2011 lazy.kent@opensuse.org
- Update to 0.5.7
  * Added ISO-8859-XX codepages.
  * Fixed: Incorrect CD-quality check.
  * Fixed: Incorrect translation of the converter error
    messages.
  * The Makefile checks if pyuic4 exists.
* Wed Mar  2 2011 lazy.kent@opensuse.org
- Moved to Packman.
- Removed specific pyton-sip version dependency for oS < 11.2.
- Requires ttaenc.
* Sat Feb 12 2011 lazy.kent@opensuse.org
- Build requires libqt4-devel and python-qt4 for oS 11.1.
* Fri Feb 11 2011 lazy.kent@opensuse.org
- Update to 0.5.6
  * Fix: Configure dialog->programs->"search program file" caused
    an error.
  * Add: Icon names compatible with KDE3 are added.
- Build requires python-qt4-devel to compile locales.
* Thu Feb 10 2011 lazy.kent@opensuse.org
- Update to 0.5.5
  * Fix: Some programs use "TotalTracks" tag, others the
    "TrackTotal". Now Flacon saves both.
  * Fix: Handling filenames with spaces in Makerfile.
* Fri Jan 28 2011 lazy.kent@opensuse.org
- Update to 0.5.4
  * Add: Polish translation. Thanks Tomasz Niedzielski.
  * The program saves "TotalTracks" tag now.
  * Some GUI performance optimisation.
* Fri Nov 26 2010 lazy.kent.suse@gmail.com
- Update to 0.5.3
  * Fix: The program safely handle "?" and "*" in the tags.
* Sun Nov 14 2010 lazy.kent.suse@gmail.com
- Remove buildroot in clean section.
* Mon Oct 25 2010 lazy.kent.suse@gmail.com
- Update to 0.5.2
  * Fix: Improved detection of the user language.
  * Fix: Error when user try to load a UTF-8 encoded cue file.
  * Fix: Sometimes pasting a new directory in the Directory field
    won't be respected.
* Tue Sep 21 2010 lazy.kent.suse@gmail.com
- Update to 0.5
  * Add: Program can process multiple disc at once.
  * Add: Download disc information from the CDDB.
  * Fix: Code refactoring and many bug fixes.
* Mon Aug 16 2010 lazy.kent.suse@gmail.com
- Update to 0.4.6
  * Add: Support WavPack output format. Thanks to Artem Aleksuk.
  * Add: Support True Audio (TTA) input format.
  * Add: Additional file checks and more informative messages.
* Sun Aug  8 2010 lazy.kent.suse@gmail.com
- Update to 0.4.5
  * Add: Czech translation.
  * Add: Now the program has the correct icons in the Gnome.
  * Add: Support for SVG icons.
  * Fix: Loading icons in the Gnome 2.30.
* Tue Jul 27 2010 lazy.kent.suse@gmail.com
- Update to 0.4.4
  * Fix: Incorrect processing of the tag "genre" in the resulting
    file name.
* Tue Jul 20 2010 lazy.kent.suse@gmail.com
- Update to 0.4.3
  * Fix: Some fixes in desktop file.
* Thu Jun 10 2010 lazy.kent.suse@gmail.com
- Update to 0.4.2
  * Fix: Now program compatible with the old versions of the PyQt.
  * Fix: Some small fixes in the translation.
* Fri May 28 2010 lazy.kent.suse@gmail.com
- Initial package created - 0.4.1
